﻿using Builder.Builder;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Builder.Builders
{
	internal class Director
	{
		private IBuilder _builder;

		public IBuilder Builder
		{
			set { _builder = value; }
		}

		public void BuildMinimalVariableProduct()
		{
			_builder.BuildPartA();
		}

		public void BuildMaximumVariableProduct()
		{
			_builder.BuildPartA();
			_builder.BuildPartB();
			_builder.BuildPartC();
		}
	}
}
